// Text Sequence Handler.
// Worthless Bums 2012.


// Pushes the new game text sequence.
function pushStartingTextSequence ()
{//echo("pushStartingTextSequence()");
	// Automatic Scroller needs to reset!
	// NOTE: Is there no better way to do this?!?
	exec("../gui/textSequence.gui");
	
	// Initialize proceed button.
	%xPos = getWord($Game::Resolution, 0) / 2;
	proceedButton.position = %xPos SPC 430;
	
	// Set timescale to normal speed.
	$timescale = 1;
	
	// Push TextSequence.
	Canvas.pushDialog(TextSequence);
	
	// Set text to scroll.
	if ($NewGamePlus <= 0)
	{
		textToScroll.setText("\n\n\n\n\nWARNING:\nCryosleep aborted.\nAdrenal administered.\nEmergency hatches released.\n\n\nStatus:\nEngineering unavailable.\nCaptain unavailable.\nNon-combatants evacuated.\nWeapons free.\n\nRecommend sweeping to the elevator and descending.\n\n\n\n\n\n\nGood luck, Marines.");
	}
	// Technically not used yet since this isn't called on NG+ game start!
	else
	{
		textToScroll.setText("\n\n\n\n\nINCOMING FLEET MESSAGE\nAll hands, all hands, resist the invaders!\nSeal the vents and get to the Command Deck!\nRelease the marines!\n\n\n\n\n\n\nEND FLEET MESSAGE");
	}
}
// Text Sequence Proceed Button pressed.
function textSequenceProceedButton ()
{//echo("textSequenceProceedButton()");
	playAudio("Audio:mainMenuButton", EffectsAudioVolume.value);
	Canvas.popDialog(TextSequence);
	newGameButton(false);	// Start a new game with the gathered new squad data!
}